Bug 1313475 - [RFE] Default OSCAP content not available
[RFE] Default OSCAP content not available
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high (vote)
: GA
: 6.2
Assigned To: Russell Dickenson
Brandi
: FutureFeature, Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 11:31 EST by Kedar Bidarkar
Modified: 2016-07-27 07:27 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 07:27:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2016-03-01 11:31:14 EST
Description of problem:

Default OSCAP content not available even after installing the below packages: 
1)'tfm-rubygem-foreman_openscap'.
2) 'scap-security-guide'.

Also running "foreman-rake db:seed" also doesn't populate it and shows the below info:

## SCAP content is invalid: No Proxy with OpenScap features ##
## SCAP content is invalid: No Proxy with OpenScap features ##
## SCAP content is invalid: No Proxy with OpenScap features ##
## SCAP content is invalid: No Proxy with OpenScap features ##



Version-Release number of selected component (if applicable):
Sat6.2.0-Beta-SNAP1

How reproducible:


Steps to Reproduce:
1. Install oscap packages
2. Navigate to "oscap content" page under "hosts" --> "compliance".
3. Observe no default oscap-content.

Actual results:

No "Default OSCAP Content" available.

Expected results:

Require "Default OSCAP Content" under "oscap content" page.


Additional info:
Comment 2 Kedar Bidarkar 2016-03-01 15:05:38 EST
Found a workaround after installing package "rubygem-smart_proxy_openscap-0.5.3-1.el7sat.noarch" 

Workaround: Ran "foreman-rake db:seed".
Comment 4 orabin 2016-03-06 04:24:52 EST
Created redmine issue http://projects.theforeman.org/issues/14061 from this bug
Comment 5 Bryan Kearney 2016-03-06 06:04:22 EST
Upstream bug component is Provisioning
Comment 6 Bryan Kearney 2016-03-07 04:04:28 EST
Upstream bug component is SCAP Plugin
Comment 7 Shlomi Zadok 2016-03-07 08:43:56 EST
Fixed with https://github.com/theforeman/foreman_openscap/pull/152
Comment 8 Bryan Kearney 2016-03-08 06:04:28 EST
Moving to POST since upstream bug http://projects.theforeman.org/issues/14061 has been closed
-------------
Shlomi Zadok
Merged as https://github.com/theforeman/foreman_openscap/commit/12ab8ee2a9e6e974271b1d9bcb29fdc32ac51bcf
Comment 10 Bryan Kearney 2016-03-16 06:04:41 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/14061 has been closed
-------------
Shlomi Zadok
Merged as https://github.com/theforeman/foreman_openscap/commit/12ab8ee2a9e6e974271b1d9bcb29fdc32ac51bcf
Comment 11 Kedar Bidarkar 2016-03-28 12:15:17 EDT
Wondering can the below steps, 

a) restarting smart-proxy service,
b) capsule feature-refresh 
c) foreman-rake foreman_openscap:bulk_upload:default,

be part of installing the rubygem-smart_proxy_openscap-0.5.3-1.el7sat.noarch.rpm itself, that would help a lot in avoiding those multiple steps.

So, currently trying to do a), b) and c) manually work as mentioned in comment9.

VERIFIED With Sat62-snap5
Comment 12 Kedar Bidarkar 2016-03-28 12:29:36 EDT
RFE, so that installing rubygem-smart_proxy_openscap-0.5.3-1.el7sat.noarch.rpm package should populate the "Default OSCAP content". I believe running rake commands should not be required.
Comment 13 Ohad Levy 2016-03-31 06:29:24 EDT
I dont think thats feasible, as you might not run on the same machine, so on capsule install it should expect foreman packages to be present.

IMHO a better RFE would be to enhance the installer upgrade scenario to include this work after packages and configuration files are in place (and service is running etc).
Comment 15 Kedar Bidarkar 2016-04-11 03:08:20 EDT
Yes this is VERIFIED but had then converted this to RFE.

But as mentioned in comment 13, I think this needs to be tracked for upgrade scenario of OSCAP.

But if we need a new bug to track this for upgrade scenario we can close this and raise a new one.
Comment 18 Kedar Bidarkar 2016-04-14 13:20:34 EDT
Update:
I think the idea here is, atleast for users who are upgrading their setups with the OSCAP plugin enabled, shouldn't have to run "foreman-rake foreman_openscap:bulk_upload:default".
Comment 20 Shlomi Zadok 2016-05-01 05:03:30 EDT
When using a *NEW* installation we need to run "foreman-rake foreman_openscap:bulk_upload:default" to generate *NEW* default SCAP content.
This issue was verified already at comment #15

For Upgrading from Sat 6.1:
1. If you already have default SCAP content - you need to do nothing.
2. If you don't have default SCAP content, and you want RH default SCAP content - then you can run "foreman-rake foreman_openscap:bulk_upload:default"

Not sure why this issue requires a new RFE?
(It may be a documentation step, though)
Comment 22 Andrew Dahms 2016-06-06 07:17:04 EDT
Hi Bryan,

Thank you for the needinfo request, and my apologies for the delay in providing a response.

This is not currently included in the documentation, but looks like an easy fix. We'll triage this out shortly.

Kind regards,

Andrew
Comment 23 Andrew Dahms 2016-06-06 19:54:54 EDT
Assigning to Russell for review.
Comment 28 Bryan Kearney 2016-07-27 07:27:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.